import './index.css'

const messages=[
  "Business News",
  "Sports News",
  "Technology News"
]
function App() {

  var step=1;

  function handlePrevious(){
    console.log('Step Value ',step);
    step=step-1;
   // alert("Previous Button Clicked");
  }

  function handleNext(){
    console.log('Step Value ',step);
    step=step+1;
    //alert("Next Button Clicked");
  }
  return (
   
    <div className="steps">
      <div className="numbers">
          <div className={`${step >= 1 ? "active" : ""}`}>1</div>
          <div className={`${step >= 2 ? "active" : ""}`}>2</div>
          <div className={`${step >= 3 ? "active" : ""}`}>3</div>
      </div>

      <p className="message"> Step {step} : {messages[step-1]}</p>

      <div className="buttons">

        <button style={{backgroundColor:"#7950f2", color:"#fff"}} onClick={handlePrevious}>Previous 👈 </button>

        <button style={{backgroundColor:"#7950f2", color:"#fff"}} onClick={handleNext}>Next 👉</button>

      </div>

    </div>


  );
}

export default App;
